Main Page Modules Data Structures File List Data Fields Globals Related Pages

# miRE_s Struct Reference

## Data Fields

rpmTag | tag
rpmMireMode | mode
const char * | pattern
int | notmatch
regex_t * | preg
int | cflags
int | eflags
int | fnflags

## Field Documentation

int miRE_s::cflags

| regcomp(3) flags Definition at line 1564 of file rpmdb.c. Referenced by rpmdbSetIteratorRE.

int miRE_s::eflags

| regexec(3) flags Definition at line 1565 of file rpmdb.c. Referenced by rpmdbSetIteratorRE.

int miRE_s::fnflags

| fnmatch(3) flags Definition at line 1566 of file rpmdb.c. Referenced by rpmdbSetIteratorRE.

rpmMireMode miRE_s::mode

| pattern match mode Definition at line 1560 of file rpmdb.c. Referenced by rpmdbSetIteratorRE.

int miRE_s::notmatch

| like "grep -v" Definition at line 1562 of file rpmdb.c. Referenced by mireSkip, and rpmdbSetIteratorRE.

const char* miRE_s::pattern

| pattern string Definition at line 1561 of file rpmdb.c. Referenced by rpmdbFreeIterator, and rpmdbSetIteratorRE.

regex_t* miRE_s::preg

| regex compiled pattern buffer Definition at line 1563 of file rpmdb.c. Referenced by rpmdbFreeIterator, and rpmdbSetIteratorRE.

rpmTag miRE_s::tag

| header tag Definition at line 1559 of file rpmdb.c. Referenced by mireCmp, mireSkip, and rpmdbSetIteratorRE.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.c